1 - CheckClusterResourceSizeForDataOpsServiceCreate

1.1 - 1.2

post /v1/data-ops-services/clusters/{cluster_id}/validate-resources

Description

Validate Cluster Resource Size for Data Ops Service Creation.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/clusters/{cluster_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Request body

{
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

1.2 - 1.1

post /v1/data-ops-services/clusters/{cluster_id}/validate-resources

Description

Validate Cluster Resource Size for Data Ops Service Creation.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/clusters/{cluster_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

1.3 - 1.0

post /v1/data-ops-services/clusters/{cluster_id}/validate-resources

Description

Validate Cluster Resource Size for Data Ops Service Creation.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/clusters/{cluster_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

2 - CheckClusterResourceSizeForDataOpsServiceUpdate

2.1 - 1.2

post /v1/data-ops-services/{data_ops_service_id}/validate-resources

Description

Validate Cluster Resource Size for Data Ops Service Update.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Request body

{
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

2.2 - 1.1

post /v1/data-ops-services/{data_ops_service_id}/validate-resources

Description

Validate Cluster Resource Size for Data Ops Service Update.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

2.3 - 1.0

post /v1/data-ops-services/{data_ops_service_id}/validate-resources

Description

Validate Cluster Resource Size for Data Ops Service Update.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

3 - CheckDataOpsNameDuplication

3.1 - 1.2

get /v1/data-ops/{data_ops_name}/check-duplication

Description

check duplication controller

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_name
required
data ops name
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Example HTTP response

Response 200

3.2 - 1.1

get /v1/data-ops/{data_ops_name}/check-duplication

Description

check duplication controller

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_name
required
data ops name
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

3.3 - 1.0

get /v1/data-ops/{data_ops_name}/check-duplication

Description

check duplication controller

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_name
required
data ops name
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

4 - CheckDataOpsServiceNameDuplication

4.1 - 1.2

get /v1/data-ops-services/{data_ops_service_name}/check-duplication

Description

check duplication controller

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_name
required
data ops service name
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Example HTTP response

Response 200

4.2 - 1.1

get /v1/data-ops-services/{data_ops_service_name}/check-duplication

Description

check duplication controller

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_name
required
data ops service name
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

4.3 - 1.0

get /v1/data-ops-services/{data_ops_service_name}/check-duplication

Description

check duplication controller

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_name
required
data ops service name
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

5 - CreateDataOps

5.1 - 1.2

post /v1/data-ops

Description

create dataops

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "dsc_domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "image_id": "",
    "ingress_controller_name": "",
    "instance_id": "",
    "node_selector": "",
    "storage_class_name": "",
    "tags": [
        {
            "tag_key": "",
            "tag_value": ""
        }
    ]
}

Example HTTP response

Response 202

5.2 - 1.1

post /v1/data-ops

Description

create dataops

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "dsc_domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "image_id": "",
    "ingress_controller_name": "",
    "instance_id": "",
    "node_selector": "",
    "storage_class_name": "",
    "tags": [
        {
            "key": "Key",
            "value": "Value"
        }
    ]
}

Example HTTP response

Response 202

5.3 - 1.0

post /v1/data-ops

Description

create dataops

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "dsc_domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "image_id": "",
    "ingress_controller_name": "",
    "instance_id": "",
    "node_selector": "",
    "storage_class_name": "",
    "tags": [
        {
            "key": "Key",
            "value": "Value"
        }
    ]
}

Example HTTP response

Response 202

6 - CreateDataOpsService

6.1 - 1.2

post /v1/data-ops-services

Description

create dataops service

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsServiceCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "data_ops_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "dag_processor": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    },
    "storage_class_name": "",
    "tags": [
        {
            "tag_key": "",
            "tag_value": ""
        }
    ],
    "worker_type": ""
}

Example HTTP response

Response 202

6.2 - 1.1

post /v1/data-ops-services

Description

create dataops service

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "data_ops_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    },
    "storage_class_name": "",
    "tags": [
        {
            "key": "Key",
            "value": "Value"
        }
    ],
    "worker_type": ""
}

Example HTTP response

Response 202

6.3 - 1.0

post /v1/data-ops-services

Description

create dataops service

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "data_ops_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    },
    "storage_class_name": "",
    "tags": [
        {
            "key": "Key",
            "value": "Value"
        }
    ],
    "worker_type": ""
}

Example HTTP response

Response 202

7 - DeleteDataOps

7.1 - 1.2

delete /v1/data-ops/{data_ops_id}

Description

delete dataops v1

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Example HTTP response

Response 202

7.2 - 1.1

delete /v1/data-ops/{data_ops_id}

Description

delete dataops v1

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 202

7.3 - 1.0

delete /v1/data-ops/{data_ops_id}

Description

delete dataops v1

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 202

8 - DeleteDataOpsService

8.1 - 1.2

delete /v1/data-ops-services/{data_ops_service_id}

Description

delete data ops service

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Example HTTP response

Response 202

8.2 - 1.1

delete /v1/data-ops-services/{data_ops_service_id}

Description

delete data ops service

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 202

8.3 - 1.0

delete /v1/data-ops-services/{data_ops_service_id}

Description

delete data ops service

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 202

9 - ListDataOps

9.1 - 1.2

get /v1/data-ops

Description

{aianalytics.GetDataOpsListConsole.notes} v1.1

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querycluster_name
optional
cluster_name
Example :
stringNone
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED)None
queryversion
optional
version
Example :
stringNone
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querycluster_id
optional
cluster_id
Example :
stringNone
querydata_ops_name
optional
data_ops_name
Example :
stringNone
queryregion
optional
region
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataOpsConsoleResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2024-01-15T10:30:00.000Z",
            "data_ops_id": "",
            "data_ops_name": "",
            "image_id": "",
            "instance_id": "",
            "is_active_image": "",
            "modified_by": "",
            "modified_dt": "2024-01-15T10:30:00.000Z",
            "namespace_name": "",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

9.2 - 1.1

get /v1/data-ops

Description

{aianalytics.GetDataOpsListConsole.notes} v1.1

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querycluster_name
optional
cluster_name
Example :
stringNone
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED)None
queryversion
optional
version
Example :
stringNone
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querycluster_id
optional
cluster_id
Example :
stringNone
querydata_ops_name
optional
data_ops_name
Example :
stringNone
queryregion
optional
region
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataOpsConsoleResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2024-01-15T10:30:00.000Z",
            "data_ops_id": "",
            "data_ops_name": "",
            "image_id": "",
            "instance_id": "",
            "is_active_image": "",
            "modified_by": "",
            "modified_dt": "2024-01-15T10:30:00.000Z",
            "namespace_name": "",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

9.3 - 1.0

get /v1/data-ops

Description

{aianalytics.GetDataOpsListConsole.notes}

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querycluster_name
optional
cluster_name
Example :
stringNone
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED)None
queryversion
optional
version
Example :
stringNone
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querycluster_id
optional
cluster_id
Example :
stringNone
querydata_ops_name
optional
data_ops_name
Example :
stringNone
queryregion
optional
region
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataOpsConsoleResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2024-01-15T10:30:00.000Z",
            "data_ops_id": "",
            "data_ops_name": "",
            "image_id": "",
            "instance_id": "",
            "is_active_image": "",
            "modified_by": "",
            "modified_dt": "2024-01-15T10:30:00.000Z",
            "namespace_name": "",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

10 - ListDataOpsImageVersions

10.1 - 1.2

get /v1/data-ops/image-versions

Description

get dataops image version v1

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi

Responses

HTTP CodeDescriptionSchema
200OKImageVersionsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_attr": {
                "k8s.version": "",
                "os.type": ""
            },
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}

10.2 - 1.1

get /v1/data-ops/image-versions

Description

get dataops image version v1

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi

Responses

HTTP CodeDescriptionSchema
200OKImageVersionsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_attr": {
                "k8s.version": "",
                "os.type": ""
            },
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}

10.3 - 1.0

get /v1/data-ops/image-versions

Description

get dataops image version v1

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi

Responses

HTTP CodeDescriptionSchema
200OKImageVersionsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_attr": {
                "k8s.version": "",
                "os.type": ""
            },
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}

11 - ListDataOpsIngressControllers

11.1 - 1.1

get /v1/data-ops/clusters/{cluster_id}/ingress-controllers

Description

get ingress controller list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/clusters/{cluster_id}/ingress-controllers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

11.2 - 1.0

get /v1/data-ops/clusters/{cluster_id}/ingress-controllers

Description

get ingress controller list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/clusters/{cluster_id}/ingress-controllers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

12 - ListDataOpsService

12.1 - 1.2

get /v1/data-ops-services

Description

GetDataOpsServiceListConsole v1.1

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED)None
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querydata_ops_service_name
optional
data_ops_service_name
Example :
stringNone
querydata_ops_name
optional
data_ops_name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataOpsServicesConsoleResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2024-01-15T10:30:00.000Z",
            "data_ops_id": "",
            "data_ops_name": "",
            "data_ops_service_id": "",
            "data_ops_service_name": "",
            "description": "",
            "modified_by": "",
            "modified_dt": "2024-01-15T10:30:00.000Z",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

12.2 - 1.1

get /v1/data-ops-services

Description

GetDataOpsServiceListConsole v1.1

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED)None
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querydata_ops_service_name
optional
data_ops_service_name
Example :
stringNone
querydata_ops_name
optional
data_ops_name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataOpsServicesConsoleResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2024-01-15T10:30:00.000Z",
            "data_ops_id": "",
            "data_ops_name": "",
            "data_ops_service_id": "",
            "data_ops_service_name": "",
            "description": "",
            "modified_by": "",
            "modified_dt": "2024-01-15T10:30:00.000Z",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

12.3 - 1.0

get /v1/data-ops-services

Description

GetDataOpsServiceListConsole

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED)None
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querydata_ops_service_name
optional
data_ops_service_name
Example :
stringNone
querydata_ops_name
optional
data_ops_name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataOpsServicesConsoleResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2024-01-15T10:30:00.000Z",
            "data_ops_id": "",
            "data_ops_name": "",
            "data_ops_service_id": "",
            "data_ops_service_name": "",
            "description": "",
            "modified_by": "",
            "modified_dt": "2024-01-15T10:30:00.000Z",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

13 - ShowDataOps

13.1 - 1.2

get /v1/data-ops/{data_ops_id}

Description

get dataops detail v1.1

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "account_id": "",
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

13.2 - 1.1

get /v1/data-ops/{data_ops_id}

Description

get dataops detail v1.1

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "account_id": "",
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

13.3 - 1.0

get /v1/data-ops/{data_ops_id}

Description

get dataops detail

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsDetailResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

14 - ShowDataOpsService

14.1 - 1.2

get /v1/data-ops-services/{data_ops_service_id}

Description

get data ops service v1.1

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsServiceDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "account_id": "",
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "data_ops_service_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

14.2 - 1.1

get /v1/data-ops-services/{data_ops_service_id}

Description

get data ops service v1.1

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsServiceDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "account_id": "",
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "data_ops_service_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

14.3 - 1.0

get /v1/data-ops-services/{data_ops_service_id}

Description

get data ops service

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsServiceDetailResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "data_ops_service_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

15 - ShowDataOpsServiceSubVersion

15.1 - 1.2

get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions

Description

get data ops sub version

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsServiceImageResponseV1Dot2
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Example HTTP response

Response 200

{
    "data_ops_service_count": "",
    "versions": {
        "apiserver": "",
        "dagprocessor": "",
        "scheduler": "",
        "webserver": "",
        "worker": ""
    }
}

15.2 - 1.1

get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions

Description

get data ops sub version

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsServiceImageResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

{
    "data_ops_service_count": "",
    "versions": {
        "scheduler": "",
        "webserver": "",
        "worker": ""
    }
}

15.3 - 1.0

get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions

Description

get data ops sub version

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsServiceImageResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "data_ops_service_count": "",
    "versions": {
        "scheduler": "",
        "webserver": "",
        "worker": ""
    }
}

16 - UpdateDataOps

16.1 - 1.2

put /v1/data-ops/{data_ops_id}

Description

update dataops v1

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataOpsUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "node_selector": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

16.2 - 1.1

put /v1/data-ops/{data_ops_id}

Description

update dataops v1

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataOpsUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "node_selector": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

16.3 - 1.0

put /v1/data-ops/{data_ops_id}

Description

update dataops v1

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataOpsUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "node_selector": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

17 - UpdateDataOpsService

17.1 - 1.2

put /v1/data-ops-services/{data_ops_service_id}

Description

update data ops service

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataOpsServiceUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Request body

{
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    },
    "worker_type": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "data_ops_service_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

17.2 - 1.1

put /v1/data-ops-services/{data_ops_service_id}

Description

update data ops service

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataOpsServiceUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    },
    "worker_type": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "data_ops_service_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

17.3 - 1.0

put /v1/data-ops-services/{data_ops_service_id}

Description

update data ops service

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataOpsServiceUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    },
    "worker_type": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "data_ops_service_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}